package com.yeejoin.amos.boot.module.common.api.service;

import java.util.List;

import com.yeejoin.amos.boot.module.common.api.dto.FireTeamZhDto;
import com.yeejoin.amos.boot.module.common.api.dto.RequestData;
import com.yeejoin.amos.boot.module.common.api.entity.FireTeam;

/**
 * 消防队伍 服务类
 *
 * @author tb
 * @date 2021-06-07
 */
public interface IFireTeamService {


    /***
     *
     *  指挥队伍资源 列表
     *
     * **/
    List<FireTeamZhDto> getFireTeamList(Integer pageNum, Integer pageSize,  RequestData par);

    /***
     *
     *  指挥队伍资源 统计
     *
     * **/
    Integer getFireTeamListCount(RequestData par);

    /**
     *
     *
     * 消防队伍详情
     *
     * **/
    FireTeam getFireTeamBySequenceNbr(Long id);

    /***
     *
     *  指挥队伍资源 列表
     *
     * **/
    List<FireTeamZhDto> getFireTeamCountList();
    
    public List<FireTeam> getFirstAidForTypeCodeAndCompanyId(String dicCode,String typeCode,Long companyId);

    List<FireTeam> getFireTeamList();

    List<FireTeam> getExcelFireTeamList(String bizOrgCode) ;
}
